# $Revision: 1.62 $, $Date: 2012/04/04 17:35:51 $
#
# Conditional build:
%bcond_without	alsa		# without ALSA support
%bcond_without	portaudio	# without PortAudio support
%bcond_without	pulseaudio	# without PulseAudio support
#
Summary:	Open Audio Library
Summary(pl.UTF-8):	Otwarta Biblioteka Dźwięku
Name:		OpenAL
Version:	1.14
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://kcat.strangesoft.net/openal-releases/openal-soft-%{version}.tar.bz2
# Source0-md5:	3d8b86c21a2f87a2a5e60f78f3b3f03d
Patch0:		%{name}-link.patch
#URL:		http://kcat.strangesoft.net/openal.html
URL:		http://www.openal.org/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	cmake
%{?with_portaudio:BuildRequires:	portaudio-devel}
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenAL, the Open Audio Library, is a joint effort to create an open,
vendor-neutral, cross-platform API for interactive, primarily
spatialized audio. OpenAL's primary audience are application
developers and desktop users that rely on portable standards like
OpenGL, for games and other multimedia applications. OpenAL is already
supported by a number of hardware vendors and developers.

%description -l pl.UTF-8
OpenAL, otwarta biblioteka dźwięku, to połączony wysiłek w celu
stworzenia otwartego, niezależnego od producentów, międzyplatformowego
interfejsu projektowania aplikacji w części obsługi dźwięku.
Biblioteka adresowana jest do twórców aplikacji i użytkowników,
którzy wybierają przenośne standardy, jak OpenGL, w grach i
aplikacjach multimedialnych. OpenAL posiada już wsparcie wielu
dostarczycieli sprzętu i programistów.

%package devel
Summary:	Headers for OpenAL
Summary(pl.UTF-8):	Pliki nagłówkowe do OpenAL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OpenAL-based programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne przy budowaniu programów opartych na
OpenAL.

%prep
%setup -q -n openal-soft-%{version}
%patch0 -p1

%build
%cmake . \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_VERBOSE_MAKEFILE=1 \
	-DEXAMPLES=OFF \
	-DLIB_INSTALL_DIR=%{_lib} \
	%{!?with_alsa:-DALSA=OFF} \
	%{!?with_portaudio:-DPORTAUDIO=OFF} \
	%{!?with_pulseaudio:-DPULSEAUDIO=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/makehrtf
%attr(755,root,root) %{_bindir}/openal-info
%attr(755,root,root) %{_libdir}/libopenal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenal.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenal.so
%{_includedir}/AL
%{_pkgconfigdir}/openal.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: OpenAL.spec,v $
Revision 1.62  2012/04/04 17:35:51  qboosh
- updated to 1.14
- added link patch (just in case examples are built; by default, disable them)

Revision 1.61  2011/03/16 17:06:14  qboosh
- updated to 1.13
- BR: pulseaudio-devel
- make bconds actually work

Revision 1.60  2010/09/03 06:48:59  qboosh
- LGPL version
- verbose make
- moved openal-info to base (equivalent of glxinfo)

Revision 1.59  2010/05/16 18:26:58  arvenil
- up to 1.12.854

Revision 1.58  2010/04/20 19:48:45  charles
- up to 1.11.753

Revision 1.57  2009/08/13 22:11:45  arvenil
- merged changes from DEVEL
- release 1

Revision 1.56  2009/03/27 23:00:21  arvenil
- removed non-existed configure options

Revision 1.55  2009/03/27 20:02:21  arvenil
- patch for broken pkgconfig file
- added ghost
- release 4

Revision 1.54  2007/12/11 20:50:54  sls
- __make -j1

Revision 1.53  2007-09-14 14:20:05  baggins
- rel 3

Revision 1.52  2007/02/12 21:23:44  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.50  2006/12/31 22:31:49  megabajt
- added alc.h patch
- release 2

Revision 1.49  2006/10/04 20:39:39  qboosh
- call automake too

Revision 1.48  2006/09/25 19:58:46  tommat
- BR autotools

Revision 1.47  2006/09/25 19:30:10  tommat
- autoize
- more strict configure options

Revision 1.46  2006/03/04 10:03:18  qboosh
- include specs PDF in -devel
- disable MMX on i[34]86, runtime detection on the rest,
  include generic optimization on i[56]86 (used if MMX not present)

Revision 1.45  2006/03/03 22:25:13  sparky
- cleanups, rel 1
- mmx needs checking

Revision 1.44  2006/03/03 21:34:24  sparky
- NOTE: there was no soname change, but ABI HAS CHANGED (undefined symbol: alutInit)

Revision 1.43  2006/03/03 19:44:46  sparky
- UNBROKEN, builds and works with good gcc
- note: no docs in this release

Revision 1.42  2006/02/26 16:54:45  blekot
- starting playing with 0.0.8 version
- build fail - see TODO for reason
- rel 0.1

Revision 1.41  2006/02/03 20:32:58  darekr
- kill needless BR zip

Revision 1.40  2005/12/05 17:48:23  sparky
- lib64 fix

Revision 1.39  2005/10/15 22:18:37  sparky
- updated to todays snapshot from Linux_Spec1-0 branch, nothing but
  documentation files is changing on this branch
- mmx is broken and fix is not planned

Revision 1.38  2005/07/14 12:01:45  kosmo
- updated to 14072005 (version 0.0.8)

Revision 1.37  2005/05/11 13:22:05  qboosh
- use x8664 macro

Revision 1.36  2004/12/01 12:37:37  kosmo
- updated to 20041201

Revision 1.35  2004/04/19 11:27:38  pluto
- mmx fixes.

Revision 1.34  2004/04/18 19:48:04  qboosh
- changed versioning to show that it's 0.0.7 snapshot
- dlopen alsa library, so it's no longer required at install time
- new-style bconds, strict internal deps

Revision 1.33  2004/04/16 18:44:04  kosmo
- updated to 20040416

Revision 1.32  2004/01/02 13:46:18  jajcus
- Release: .1 (STBR after alsa fixes)

Revision 1.31  2003/12/29 11:04:39  jajcus
- fix for alsa-1.0.0

Revision 1.30  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.29  2003/10/25 13:25:40  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.28  2003/10/20 09:52:54  tiwek
- without alsa on sparc

Revision 1.27  2003/10/20 08:48:43  qboosh
- no runtime detection, so mmx can be enabled by default only on athlon

Revision 1.26  2003/10/19 09:26:00  arekm
- and simpler

Revision 1.25  2003/10/19 09:19:25  arekm
- simplify

Revision 1.24  2003/10/19 08:51:34  cieciwa
- fixed build on arch !=ix86 - disable MMX check

Revision 1.23  2003/08/18 08:07:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/08/13 13:00:54  grzegol
- changed URL

Revision 1.21  2003/08/12 23:39:47  grzegol
- added esd support; rel. .0.10

Revision 1.20  2003/08/11 19:35:42  deejay1
- hate dropin, sources put on local router :/ they'll be gone
  with next commit

Revision 1.19  2003/08/06 17:48:17  deejay1
- updated to todays snapshot, NFY

Revision 1.18  2003/08/06 10:44:52  deejay1
- typo, changed to a more up to date URL

Revision 1.17  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/18 22:38:32  qboosh
- Loki is dead, but OpenAL lives - updated to todays CVS snapshot
- updated prefix,acfix,info patches, removed obsolete build patch

Revision 1.14  2003/02/14 21:11:35  qboosh
- fixed build, cleanups etc.
- replaced prefix patch with better one, added acfix and info patches
- removed bogus X11 from Groups

Revision 1.13  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.12  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:12  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/02 08:26:32  wolf
- spelling

Revision 1.9  2001/12/24 11:49:37  qboosh
- oops, forgot to adapterize after fixing Groups
- added subpackages deps

Revision 1.8  2001/12/24 10:28:32  qboosh
- argh, again: fixed typos and Groups
- added post/postun devel with fix-info-dir

Revision 1.7  2001/12/22 00:18:15  fastviper
- adapterized
- taken Mandrake Cooker .spec and patches and converted a little

Revision 1.6  2001/11/19 09:08:13  qboosh
- fixed Groups, typos/spelling, removed soname symlink (ldconfig will create it)

Revision 1.5  2001/11/18 16:36:37  saq
- remove OpenGL stuff (unused)
- remove duplicated {C,LD}FLAGS
- fix DESTDIR
- spread the libs between %{name} and -devel
- drop the license (it's LGPL)

Revision 1.4  2001/11/18 16:20:19  saq
- use the actual version, not the libtool numbers
- lots of missing buildreqs added
- cosmetics
- NFY

Revision 1.3  2001/11/18 13:22:05  fastviper
- Realase is now 1 -- previous realase++ made no sense

Revision 1.2  2001/11/17 01:59:42  fastviper
- enabled many features
- made this spec look good ;-)
- release++

Revision 1.1  2001/11/16 16:30:24  fastviper
- sources were downloaded from CVS as ftp://ftp.openal.com/ has some problems
  this needs to be solved somehow...
- created this spec.
